Status: Closed Start date: 2011-03-24
Priority: High Due date:

Assignee: Chris Cannam % Done: 100%
Category: Estimated time: 0.00 hour
Target version:

Description

We now have automatic extraction for Doxygen and Javadoc comments (see #20). But MATLAB also has conventions for inline
documentation -- see this Mathworks documentation. A lot of code would benefit from automatically extracting this: for example, the
Beat Tracking Evaluation project code.

History

#1 - 2011-03-25 05:41 PM - Chris Cannam

According to the previous link, MATLAB comments allow LaTeX within $$.$$, so see also http://www.fauskes.net/nb/htmleqll/

#2 - 2011-03-28 09:03 PM - Chris Cannam

A Perl program to do the extraction can be found here

Changelog suggests it last had a major update in 2000, file is dated 2001, yet it still runs without errors and produces sensible results. Hurrah for Perl,
hurrah for the script's author Hartmut Pohlheim, hurrah for MATLAB and simple text formats.

| don't think we can use the output unmodified, because it uses frames extensively, but it looks promising at least.

#3 - 2011-03-28 09:29 PM - Chris Cannam

See also Helpers for Doxygen

#4 - 2011-04-28 01:51 PM - Chris Cannam
- Status changed from New to Closed
- % Done changed from 0 to 100

Hartmut Pohlheim's script is now included (with his permission) and updated to make frames optional in the output. The result is merged and live on
the site now. Let's give it a bit more testing and file any remaining problems as separate bug reports.
http://www.mathworks.com/help/techdoc/matlab_env/f6-30186.html
/projects/beat-evaluation
http://www.fauskes.net/nb/htmleqII/
http://www.pohlheim.com/perl_main.html#matlabdocu
http://www.stack.nl/~dimitri/doxygen/helpers.html

